PCV(1)

NAME
pcv - Picviz console veritable tool

SYNOPSIS
pcv -Toutput_plugin [-Rrender_plugin] [options] file.pcv ['filter']

DESCRIPTION
pcv allows to compile PCV files into a plugin choosen format, such as svg, csv, png or other.

-Tplugin Replace 'plugin' with a output plugin name. See plugin section

-Rplugin Replace 'plugin' with a render plugin name. See plugin section

options can be either one or several among:

-A argument Provides arguments to the render and output plugin

-a Displays all text along with lines

-d Activates debug mode

-Ln Draw text every n line

-l Skip learning mode

-o file Output to the given file instead of stdout

-p file Use given file to store PID

-r...(rrr) Increases image height and width

-s socket.name Create the socket.name and listen to it (for real-time capabilities)

-t template Use the given template when listening to a socket

-Warg Use Picviz with a special keyword. See keywords section

The filter parameter is explained in the filter section below.

PLUGINS
Plugins are located with ld, search path can be overridden with PICVIZ_PLUGINS_PATH environment variable.

  Output
Output data in the wanted file format. Available plugins are:

svg

plplot

csv

sdl

pngcairo

debug

  Render
Modify data rendering. Available plugins are:

heatline: possible arguments (-A): virus

debug

KEYWORDS
Keywords are special parameters given to picviz to use a library along with parsing and rendering. This is deactivated by default because it makes the program slow, but it may be very usefull in certain cases.

Following keywords are accepted:

pcre: activates pcre pattern matching for filtering (pcv -Tsvg -Wpcre file.pcv 'show value = ".*foo.*" on axis 1')

FILTER
pcv allows filtering to choose data you want to see displayed. When the pcv language parser is called, a Pcv Image Filter (PIF) is applied. It allows to filter either before any data is calculated (data filter), once calculated and before adding the line to the image (pre line filter) or, once other lines have been added and ask for specific removales (post line filter).

  Relations
Filter relation can be either:

= equal

!= not equal

< less than

> greater than

<= less or equal

>= greater or equal

  Selecting plot value
plot: Will select the value, as plotted by the engine. Accepted values can be the y position on the axis or the relative percentage.

'show plot > 100 on axis 3': will display only lines which have their plot on the axis 3 greater than 100 can be called like this:

Example: pcv -Tsvg file.pcv 'show plot > 100 on axis 3'

By default, the image height is 500 pixels, so this filter is equivalent than > 100:

'show plot > 20% on axis 3'.

It is possible to filter using multi-criterion values:

'show plot > 20% on axis 3 and plot < 42 on axis 5'

  Pattern matching
Values can be selected, either with their original text string, or by using pattern matching. By default, pattern matching is not activated.

Pattern matching activated is done with -Wpcre argument. To filter values with [0-9][aA].*, you can type:

pcv -Tsvg file.pcv -Wpcre 'show value = "[0-9][aA].*" on axis 1'.

Note that with string comparisons (with value), only the equal (=) relation is accepted.

EXAMPLE
pcv -Tsvg file.pcv

pcv -Tpngcairo file.pcv -rrrr -a > file.png

pcv -Tpngcairo -Rheatline -Avirus file.pcv > file.svg

pcv -Tpngcairo -s local.sock -t file.pcv -o file.png ''

BUGS
If you are sure you are not dealing with a feature, you can report BUGS using the trac ticketing system available at http://www.wallinfire.net/picviz.

AUTHORS
Man page written by Sebastien Tricaud toady gscore org.